package com.xt.hb.data.camera.mapper;

import java.util.List;

import com.xt.hb.data.aq.model.ThreeColumn;
import com.xt.hb.data.camera.model.CameraInfo;

public interface CameraMapper {

	/**
	 * 检索湖北摄像头目录
	 * 
	 * @return
	 */
	List<ThreeColumn> selectHbCameraByFid(String fid);

	/**
	 * 根据区域id获取摄像头监控点信息
	 * 
	 * @param regionId
	 * @return
	 */
	List<CameraInfo> listCamerasByRegionId(String regionId);

	/**
	 * 持久化摄像头监控点信息
	 * 
	 * @param camera
	 */
	void persistCamera(CameraInfo camera);

	/**
	 * 获取所有摄像头监控点信息
	 * 
	 * @param regionId
	 * @return
	 */
	List<CameraInfo> getAllCameraList();
}